TLS 1.2 (Transport Layer Security) Update Information

​​​

Don’t miss out! Starting July 1, 2020, you’ll need to use an updated web browser  to access this site, or enable TLS 1.2 (Transport Layer Security) on the current version of your browser for the latest security features.

Learn more:

Google Chrome: https://blog.chromium.org/2019/10/chrome-ui-for-deprecating-legacy-tls.html

Apple Safari:  https://webkit.org/blog/8462/deprecation-of-legacy-tls-1-0-and-1-1-versions/

Mozilla Firefox:  https://blog.mozilla.org/security/2018/10/15/removing-old-versions-of-tls/

Microsoft IE/Edge: https://blogs.windows.com/msedgedev/2018/10/15/modernizing-tls-edge-ie11/